%define upstream_name	 Scope-Guard
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Lexically scoped resource management 
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Scope/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides a convenient way to perform cleanup or other forms of
resource management at the end of a scope. It is particularly useful when
dealing with exceptions: the Scope::Guard constructor takes a reference to a
subroutine that is guaranteed to be called even if the thread of execution is
aborted prematurely. This effectively allows lexically-scoped "promises" to be
made that are automatically honoured by perl's garbage collector.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Scope
%{_mandir}/*/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.210.0-6.mga9
+ Revision: 1805664
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-5.mga8
+ Revision: 1497122
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-4.mga7
+ Revision: 1271041
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-3.mga6
+ Revision: 1033012
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.210.0-2.mga6
+ Revision: 968859
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.210.0-1.mga6
+ Revision: 855686
- update to 0.21

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-7.mga5
+ Revision: 747251
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.200.0-6.mga5
+ Revision: 733369
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 686173
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-4.mga4
+ Revision: 514504
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-3.mga3
+ Revision: 372550
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.200.0-2.mga1
+ Revision: 24455
- fix specs
- imported package perl-Scope-Guard


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-2mdv2011.0
+ Revision: 555333
- rebuild

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2011.0
+ Revision: 552630
- update to 0.20

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-2mdv2010.1
+ Revision: 528118
- rebuild
- update to 0.12

* Fri Mar 26 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.1
+ Revision: 527741
- update to 0.11

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404361
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.03-4mdv2009.0
+ Revision: 258353
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.03-3mdv2009.0
+ Revision: 246410
- rebuild

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.03-1mdv2008.1
+ Revision: 168444
- fix summary-not-capitalized
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.0
+ Revision: 48088
- import perl-Scope-Guard


* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.0
- first mdv release 
